Name: atanks
Version: 2.7
Release: alt1

Summary: Atomic Tanks - multi-player game similar to worms
License: GPL
Group: Games/Arcade

Url: http://atanks.sourceforge.net

Packager: Ilya Mashkin <oddity@altlinux.ru>


Source: %name-%{version}.tar.gz
Source2: %name.png
Patch: %name-gcc34-fix.patch

# Automatically added by buildreq on Mon Jan 17 2005 (-bi)
BuildRequires: gcc-c++ liballegro-devel libstdc++-devel xorg-x11-libs

%description
This is Atomic Tanks, a multi-player game similar to worms which involves firing enormous
weapons to try and destroy the other tanks.

%prep
%setup -q -n %name
#patch0 -p1
%__subst 's,-DDATA_DIR=\\\".\\\",-DDATA_DIR=\\\"%_gamesdatadir/%name\\\",' src/Makefile

%build
%__make

%install
%__mkdir_p %buildroot{%_gamesbindir,%_gamesdatadir/%name}

%__install -p -m 755 atanks %buildroot%_gamesbindir/%name
%__install -p -m 644 *.dat %buildroot%_gamesdatadir/%name/
%__install -p -m 644 *.txt %buildroot%_gamesdatadir/%name/
#menu support
%__mkdir -p %buildroot%_menudir
%__cat > %buildroot%_menudir/%name << EOF
?package(%name):command="%name" needs="x11" \
icon="%name.png" section="Amusement/Arcade" title="Atomic Tanks" \
longtitle="Atomic Tanks - worms like game"
EOF
%__mkdir -p %buildroot%_iconsdir
%__install -m 644 %SOURCE2 %buildroot%_iconsdir/

%post
%update_menus

%postun
%clean_menus

%files
%doc README TODO Changelog
%_gamesbindir/*
%dir %_gamesdatadir/%name
%_gamesdatadir/%name/*
%_menudir/%name
%_iconsdir/%name.png

%changelog
* Sat Dec 22 2007 Ilya Mashkin <oddity@altlinux.ru> 2.7-alt1
- New version 2.7

* Sun Sep 09 2007 Ilya Mashkin <oddity@altlinux.ru> 2.5-alt1
- New version 2.5

* Sat Apr 21 2007 Ilya Mashkin <oddity@altlinux.ru> 2.3-alt1
- New version 2.3

* Sun Mar 11 2007 Ilya Mashkin <oddity@altlinux.ru> 2.2-alt1
- New version 2.2

* Fri Feb 09 2007 Ilya Mashkin <oddity@altlinux.ru> 2.0-alt1
- Release 2.0 

* Thu Dec 28 2006 Ilya Mashkin <oddity@altlinux.ru> 2.0-alt0.1beta1
- New version 2.0 beta

* Mon Jan 17 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1.0-alt2
- Fix build with gcc-3.4

* Mon Jul 12 2004 Vladimir Lettiev <crux@altlinux.ru> 1.1.0-alt1
- Initial release for Sisyphus

